ComponentSpace Marquee Control

Marquee Control

Introduction provides an overview of the Marquee Control.

Installation details the prerequisite system requirements and installation procedures for the Marquee Control.

Reference documents the namespaces and classes that constitute the Marquee Control.

Examples describes the included example code.

FAQ lists frequently asked questions.

Support describes how to get support.

Send comments on this topic.


Introduction

Display marquee style scrolling text. At design time specify the text to scroll, the speed, granularity and direction of the scroll. Written in 100% managed C# code, the control offers .NET developers a fast and simple way to catch the user’s attention by displaying moving text in their Windows applications.

The Marquee is a custom .NET control that, once added to Visual Studio .NET’s Toolbox, can be dragged onto your Windows forms. The design time properties include the speed, granularity and direction of the scroll. You may also select whether to scroll indefinitely or a specified number of times. Of course, all these properties are persisted to your application. The properties may also be modified at runtime if required.

Features

  • Specify the text to display
  • Change the speed, granularity and direction of the scroll
  • Scroll indefinitely or a specified number of times
  • 100% managed code written in C#
  • Object oriented design specifically for the .NET framework
  • All error handling through .NET exceptions
  • Comprehensive Visual Studio .NET style documentation
  • VB.NET and C# example source code
  • Includes prompt free email support
  • Royalty free runtime
  • Source code available

This control may also be purchased as part of the ComponentSpace .NET Visual Suite.

Getting Started

  • Install the product in your development environment.
  • If using Visual Studio .NET, update the Toolbox to include the control.
  • Compile and run one of the examples.
  • Modify the control's properties at design time.
  • Refer to the reference section for further details.
  • Add the control to your application.
  • Once completed, distribute the control with your application.


Installation

To install this product double click the .MSI file and follow the installation steps.

Prerequisites

The Microsoft .NET framework runtime must already be installed on your computer. The Microsoft .NET framework redistributable may be downloaded from msdn.microsoft.com.

You will also need a development environment such as Visual Studio .NET.

Visual Studio .NET Toolbox

To add the control to the Visual Studio .NET Toolbox, right click on the Windows Forms panel of the Toolbox window and click Customize Toolbox. On the .NET Framework Components panel click the Browse button and browse to ComponentSpace.Marquee.dll. You will find the DLL in the installation directory.

Once the control has been added to the Toolbox you can use it in your application simply by dragging it onto your application's forms.

Distribution

The control's runtime is royalty free which means it may be freely distributed with your application. The only file that should be distributed is the control's DLL.


Reference

The reference section is contained within a separate help file.


Examples

Example code, developed using Microsoft Visual Studio .NET, is included with the product. You will find these projects in sub-directories of the installation directory.

TestMarquee
Demonstrates the use of the control within a VB.NET application. You may set the control's properties at design time and they will be persisted to the application.


FAQ

Frequently Asked Questions
  1. I can't build the examples. Why can't the ComponentSpace namespace be found?

    2. The assembly containing the namespace or the project referencing it has been moved. The simplest way to fix this is to re-add the reference to the project by browsing to where the DLL is located (typically the installation directory).

  2. How do I change the scroll behavior?

    3. The Delay property is the number of milliseconds the text is stationary before it's scrolled to the next position. The smaller the delay the faster the text scrolls. The Amount property is the number of pixels the text is moved each time it's scrolled. The larger the amount the jerkier the text scrolls.

  3. Can I limit the number of times the text scrolls?

    4. The Repeat property specifies whether the text scrolls indefinitely or a specified number of times.


Support

For further information, visit us at http://www.componentspace.com or send email to info@componentspace.com.

If have a bug to report or a product enhancement request send email to support@componentspace.com.